Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.conf
Interface Configuration

All Superinterfaces:
  java.beans.BeanInfo, java.io.Serializable

All Known Subinterfaces:
  JDBCConfiguration, JDOConfiguration, JDOConnectionFactory, JDOManagedConnectionFactory

All Known Implementing Classes:
  AbstractConfiguration, JDBCConnectionFactory, JDBCManagedConnectionFactory, SimpleJDBCConfiguration, SimpleJDOConfiguration

public interface Configuration
extends java.beans.BeanInfo, java.io.Serializable

Interface for generic configuration objects. Includes the ability to write configuration to and from `Properties` instances.

Any property names ending in `Properties` can be used to configure the object they pertain to using a simple space-delimited, properties-style string. For example, if a hypothetical property `LogFactoryClass` is set to a class with methods `setLogFile (String)` and `setAppend (boolean)`, then these properties can be automatically set on the instance instantiated from this class by specifying a `LogFactoryProperties` string like: '`logFile=/tmp/log.txt append=true`'.

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Method Summary
`void` | `free()` Free the resources used by this object.
`void` | `fromProperties(java.util.Properties properties)` Set this Configuration via the given Properties.
`org.apache.commons.logging.Log` | `getLog(java.lang.String category)` Return the log for the given category.
`org.apache.commons.logging.LogFactory` | `getLogFactory()` The log factory.
`boolean` | `isFrozen()` Return true if this Configuration has been frozen.
`void` | `setFrozen(boolean frozen)` Lock down the configuration's state.
`void` | `setLog(java.lang.String category, org.apache.commons.logging.Log log)` Set the log for the given category.
`void` | `setLogFactory(org.apache.commons.logging.LogFactory factory)` log factory.
`java.util.Properties` | `toProperties()` A Properties representation of this Configuration.

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Method Detail

### getLogFactory

    public org.apache.commons.logging.LogFactory getLogFactory()

  The log factory. Kodo employs the jakarta logging framework. If no log factory has been set explicitly, the default factory is used.

### setLogFactory

    public void setLogFactory(org.apache.commons.logging.LogFactory factory)

  log factory. Kodo employs the jakarta logging framework.

### getLog

    public org.apache.commons.logging.Log getLog(java.lang.String category)

  Return the log for the given category.

  See Also:
    `getLogFactory()`

### setLog

    public void setLog(java.lang.String category,
                       org.apache.commons.logging.Log log)

  Set the log for the given category.

  See Also:
    `setLogFactory(org.apache.commons.logging.LogFactory)`

### setFrozen

    public void setFrozen(boolean frozen)

  Lock down the configuration's state. Attempting to set state after a configuration has been frozen results in a `IllegalStateException`.

### isFrozen

    public boolean isFrozen()

  Return true if this Configuration has been frozen.

### toProperties

    public java.util.Properties toProperties()

  A Properties representation of this Configuration. Note that changes made to this Properties object will not be automatically reflected in this Configuration object.

### fromProperties

    public void fromProperties(java.util.Properties properties)

  Set this Configuration via the given Properties. Any keys missing from the given properties will not be set. Note that changes made to this Properties object will not be automatically reflected in this Configuration object.

### free

    public void free()

  Free the resources used by this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.